Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Fedora Linux 36 est disponible !

#1 18/11/2021 17:49:18

yogibeer
Membre
Lieu : dijon
Inscription : 02/09/2020
Messages : 152
Site Web

[Résolu] Poblème execution appimage Papagayo

Bonsoir tout le monde.

Hop je suis en pleine préprod d'un court / moyen métrage de film d'animation (et tout en nux pour l'anim, genre tahoma 2d, kdenlive ou autres) et donc j'ai besoinde Papagayo pour faire le lipsinc c'est à dire  la syncrho labiale entre les paroles et les lèvres des personnages.

Mais cela me donne ceci:

steff@localhost:~/Téléchargements$ ./PapagayoNG.appimage 
papagayo-ng.py:19: UserWarning: You either don't have wx installed or you are using wxphoenix. Please test this with wx Version 2.8 before reporting errors!
  warnings.warn("You either don't have wx installed or you are using wxphoenix. Please test this with wx Version 2.8 before reporting errors!")
Traceback (most recent call last):
  File "papagayo-ng.py", line 20, in <module>
    import wx
  File "/tmp/.mount_Nrpsq9/usr/lib/python3.6/site-packages/wx/__init__.py", line 17, in <module>
    from wx.core import *
  File "/tmp/.mount_Nrpsq9/usr/lib/python3.6/site-packages/wx/core.py", line 12, in <module>
    from ._core import *
ImportError: /lib64/libfreetype.so.6: undefined symbol: hb_ot_tags_from_script_and_language

Merci d'avance, je vais essayer en --no-sandbox aussi

mais non cela donne la même chose :(

steff@localhost:~/Téléchargements$ ./PapagayoNG.appimage --no-sandbox
papagayo-ng.py:19: UserWarning: You either don't have wx installed or you are using wxphoenix. Please test this with wx Version 2.8 before reporting errors!
  warnings.warn("You either don't have wx installed or you are using wxphoenix. Please test this with wx Version 2.8 before reporting errors!")
Traceback (most recent call last):
  File "papagayo-ng.py", line 20, in <module>
    import wx
  File "/tmp/.mount_Aiw3Tm/usr/lib/python3.6/site-packages/wx/__init__.py", line 17, in <module>
    from wx.core import *
  File "/tmp/.mount_Aiw3Tm/usr/lib/python3.6/site-packages/wx/core.py", line 12, in <module>
    from ._core import *
ImportError: /lib64/libfreetype.so.6: undefined symbol: hb_ot_tags_from_script_and_language

Merci d'avance et bon début de soirée :)

YoG

Hors ligne

#2 18/11/2021 17:50:53

yogibeer
Membre
Lieu : dijon
Inscription : 02/09/2020
Messages : 152
Site Web

Re : [Résolu] Poblème execution appimage Papagayo

il semble que cela soit avec wxphoenix ?

Hors ligne

#3 18/11/2021 18:59:08

fgland
Rédacteur Wiki
Rédacteur Wiki
Lieu : Lituanie
Inscription : 09/08/2004
Messages : 3 569

Re : [Résolu] Poblème execution appimage Papagayo

wxpython est installé ? python-wxpython4 est en version 4.0.7, c'est loin du 2.8 demandé !


F36, Kde/plasma (X11), ASUSTeK M5A78L-M/USB3, AMD FX-6300, NVIDIA GM107 [GeForce GTX 750 Ti], 8Go de mémoire

Hors ligne

#4 18/11/2021 19:03:40

yogibeer
Membre
Lieu : dijon
Inscription : 02/09/2020
Messages : 152
Site Web

Re : [Résolu] Poblème execution appimage Papagayo

alors oui il semblerait que python-wxpython4 soit installé mais pas moyen d'installer wxpython ?
Cela vient de la mise à jour de f34 à 35 et j'ai besoin de ce logiciel :)

Merci :)

Hors ligne

#5 18/11/2021 19:51:02

Nicosss
Rédacteur Wiki
Rédacteur Wiki
Lieu : Isère
Inscription : 05/03/2007
Messages : 7 263
Site Web

Re : [Résolu] Poblème execution appimage Papagayo

Que retourne

$ rpm -qa \*wx\*

F35_64 Gnome-Shell - GA-990FXA-UD3 - Phenom II X6 1100T - NH-D14 - Ati HD 5750 Fanless - 16Go RAM /&/ F36_64 Gnome-Shell - Toshiba Satellite C660D-19X - 8Go RAM
F35_64 - ASRock 960GC-GS FX - AMD FX(tm)-8300 - 16Go RAM

#6 18/11/2021 20:21:39

fgland
Rédacteur Wiki
Rédacteur Wiki
Lieu : Lituanie
Inscription : 09/08/2004
Messages : 3 569

Re : [Résolu] Poblème execution appimage Papagayo

je pense plutôt que ce programme n'a pas passé le cap de python3...
Si tu l'as pris sur https://sourceforge.net/projects/papaga … ble/1.4.2/, il date de 2017
Tu peux toujours faire une machine virtuelle pour le faire tourner...


F36, Kde/plasma (X11), ASUSTeK M5A78L-M/USB3, AMD FX-6300, NVIDIA GM107 [GeForce GTX 750 Ti], 8Go de mémoire

Hors ligne

#7 18/11/2021 21:58:49

yogibeer
Membre
Lieu : dijon
Inscription : 02/09/2020
Messages : 152
Site Web

Re : [Résolu] Poblème execution appimage Papagayo

hop me revoilà ^^

voici ce que donne la commande:

steff@localhost:~$ rpm -qa \*wx\*
wxGTK3-i18n-3.0.5.1-5.fc35.noarch
wxGTK-i18n-3.1.5-2.fc35.noarch
wxBase3-3.0.5.1-5.fc35.x86_64
wxGTK3-3.0.5.1-5.fc35.x86_64
wxGTK3-gl-3.0.5.1-5.fc35.x86_64
wxGTK3-media-3.0.5.1-5.fc35.x86_64
wxBase-3.1.5-2.fc35.x86_64
python3-wxpython4-4.0.7-21.fc35.x86_64
wxGTK3-webview-3.0.5.1-5.fc35.x86_64
wxsvg-1.5.22-6.fc35.x86_64
wxGTK-3.1.5-2.fc35.x86_64
erlang-wx-24.1.4-1.fc35.x86_64

et je vais me faire une vm de xubuntu pour Papagayo

merci à vous !

Hors ligne

#8 19/11/2021 07:01:21

fgland
Rédacteur Wiki
Rédacteur Wiki
Lieu : Lituanie
Inscription : 09/08/2004
Messages : 3 569

Re : [Résolu] Poblème execution appimage Papagayo

parce qu'ils ont une version Papagayo avec du python4 ?


F36, Kde/plasma (X11), ASUSTeK M5A78L-M/USB3, AMD FX-6300, NVIDIA GM107 [GeForce GTX 750 Ti], 8Go de mémoire

Hors ligne

#9 19/11/2021 09:48:06

yogibeer
Membre
Lieu : dijon
Inscription : 02/09/2020
Messages : 152
Site Web

Re : [Résolu] Poblème execution appimage Papagayo

Bonjour :)

Hop je me suis fait une vm Pardus Linux et cela fonctionne :)
Merci à vous :)
Je mets en résolu :)

Hors ligne

Pied de page des forums